function read_ptn(fn,  i){
  ptn_count = 0;
  while (getline < fn){
    if($0 ~ /^<!##########/)
      ptn_count++;
    else
      ptn_src[ptn_count] = ptn_src[ptn_count] $0 "\n";
  }
  close(fn);
  ptn_count++;
  for(i=0; i<ptn_count; i++)
    ptn_cur[i] = ptn_src[i];
}


BEGIN{
  FS = "###";
  read_ptn("_ptn_all.__h");
  printf(ptn_cur[0]);
}

{
    ptn_cur[1] = ptn_src[1];
    gsub(/==CRFILE==/,$1,ptn_cur[1]);
    gsub(/==CRNAME==/,$2,ptn_cur[1]);
    printf(ptn_cur[1]);
}

END{
  printf(ptn_cur[2]);
}

